apiVersion: apps/v1
kind: Deployment
metadata:
  name: distributedattackdetectorservice
spec:
  selector:
    matchLabels:
      app: distributedattackdetectorservice
  template:
    metadata:
      labels:
        app: distributedattackdetectorservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: server
        image: registry.gitlab.com/teraflow-h2020/controller/distributedattackdetector:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 10000
        env:
        - name: LOG_LEVEL
          value: "DEBUG"
        readinessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:10000"]
        livenessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:10000"]
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 700m
            memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: distributedattackdetectorservice
spec:
  type: ClusterIP
  selector:
    app: distributedattackdetectorservice
  ports:
  - name: grpc
    port: 10000
    targetPort: 10000
